<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Controller\Unsubscribe;

use Aheadworks\Followupemail2\Api\EventManagementInterface;
use Magento\Framework\App\Action\Context;

/**
 * Class Event
 * @package Aheadworks\Followupemail2\Controller\Unsubscribe
 */
class Event extends \Magento\Framework\App\Action\Action
{
    /**
     * @var EventManagementInterface
     */
    private $eventManagement;

    /**
     * @param Context $context
     * @param EventManagementInterface $eventManagement
     */
    public function __construct(
        Context $context,
        EventManagementInterface $eventManagement
    ) {
        parent::__construct($context);
        $this->eventManagement = $eventManagement;
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        /** @var \Magento\Framework\Controller\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultRedirectFactory->create();
        $code = $this->getRequest()->getParam('code');
        if ($code) {
            if ($this->eventManagement->unsubscribeFromEvent($code)) {
                $this->messageManager->addSuccessMessage(__('You have been successfully unsubscribed.'));
            }
        }
        return $resultRedirect->setPath('/');
    }
}
